package com.zjrs.zwnw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.blo.JyzdglBLO;
import com.zjrs.zwnw.rlzysc.bpo.JyzdglBPO;
import com.zjrs.zwnw.rlzysc.dto.JyzdQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.ZjDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

@Service
public class JyzdglBPOimpl extends BPOImpl implements JyzdglBPO {

    @Resource
    private JyzdglBLO jyzdglBLO;

    @Override
    public PageResult getJyzdglList(JyzdQueryDTO dto) {
        return jyzdglBLO.getJyzdglList(dto);
    }

    @Override
    public void updateJyzdglsffk(ZjDTO dto) {
        jyzdglBLO.updateJyzdglsffk(dto);
    }
}
